--- a/mbed_host_tests/host_tests/base_host_test.py
+++ b/mbed_host_tests/host_tests/base_host_test.py
@@ -16,7 +16,6 @@
 """
 
 import inspect
-import six
 from time import time
 from inspect import isfunction, ismethod
 
@@ -216,7 +215,7 @@
         # Check if callback has all three required parameters (key, value, timestamp)
         # When callback is class method should have 4 arguments (self, key, value, timestamp)
         if ismethod(callback):
-            arg_count = six.get_function_code(callback).co_argcount
+            arg_count = callback.__code__.co_argcount
             if arg_count != 4:
                 err_msg = "callback 'self.%s('%s', ...)' defined with %d arguments"% (callback.__name__, key, arg_count)
                 err_msg += ", should have 4 arguments: self.%s(self, key, value, timestamp)"% callback.__name__
@@ -224,7 +223,7 @@
 
         # When callback is just a function should have 3 arguments func(key, value, timestamp)
         if isfunction(callback):
-            arg_count = six.get_function_code(callback).co_argcount
+            arg_count = callback.__code__.co_argcount
             if arg_count != 3:
                 err_msg = "callback '%s('%s', ...)' defined with %d arguments"% (callback.__name__, key, arg_count)
                 err_msg += ", should have 3 arguments: %s(key, value, timestamp)"% callback.__name__
--- a/test/host_test_scheme.py
+++ b/test/host_test_scheme.py
@@ -16,7 +16,6 @@
 limitations under the License.
 """
 
-import six
 import unittest
 from mbed_host_tests.host_tests_registry import HostRegistry
 
@@ -51,11 +50,11 @@
         for i, ht_name in enumerate(self.HOSTREGISTRY.HOST_TESTS):
             ht = self.HOSTREGISTRY.HOST_TESTS[ht_name]
             if ht and hasattr(ht, 'setup') and callable(getattr(ht, 'setup')):
-                self.assertEqual(1, six.get_function_code(ht.setup).co_argcount)
+                self.assertEqual(1, ht.setup.__code__.co_argcount)
             if ht and hasattr(ht, 'result') and callable(getattr(ht, 'result')):
-                self.assertEqual(1, six.get_function_code(ht.result).co_argcount)
+                self.assertEqual(1, ht.result.__code__.co_argcount)
             if ht and hasattr(ht, 'teardown') and callable(getattr(ht, 'teardown')):
-                self.assertEqual(1, six.get_function_code(ht.teardown).co_argcount)
+                self.assertEqual(1, ht.teardown.__code__.co_argcount)
 
 
 if __name__ == '__main__':
--- a/test/mps2_reset.py
+++ b/test/mps2_reset.py
@@ -17,7 +17,7 @@
 """
 
 import unittest
-import mock
+from unittest import mock
 import os
 import time
 
--- a/test/conn_primitive_remote.py
+++ b/test/conn_primitive_remote.py
@@ -17,7 +17,7 @@
 """
 
 import unittest
-import mock
+from unittest import mock
 
 from mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote import RemoteConnectorPrimitive
 
